---
title: List all scores
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Scorecards
---

{% callout %}
# Important note for users on the following Datadog sites: app.ddog-gov.com, us2.ddog-gov.com

{% alert level="danger" %}
This product is not supported for your selected [Datadog site](https://docs.datadoghq.com/getting_started/site.md). ({% placeholder "user-datadog-site-name" /%}).
{% /alert %}

{% /callout %}

# List all scores{% #list-all-scores %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/scorecard/scores/{aggregation} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/scorecard/scores/{aggregation} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/scorecard/scores/{aggregation}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/scorecard/scores/{aggregation}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/scorecard/scores/{aggregation}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/scorecard/scores/{aggregation}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/scorecard/scores/{aggregation} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/scorecard/scores/{aggregation} |

### Overview

Returns a list of scorecard scores for each aggregation type, with score breakdowns.

OAuth apps require the `apm_service_catalog_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#scorecards) to access this endpoint.



### Arguments

#### Path Parameters

| Name                          | Type   | Description                         |
| ----------------------------- | ------ | ----------------------------------- |
| aggregation [*required*] | string | The type of scores being requested. |

#### Query Strings

| Name                       | Type    | Description                                                                                                                                                |
| -------------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| filter[rule][id]           | string  | Filter scores by rule ID(s), comma-separated.                                                                                                              |
| filter[rule][name]         | string  | Filter scores by rule name.                                                                                                                                |
| filter[rule][level]        | string  | Filter scores by rule level(s), comma-separated.                                                                                                           |
| filter[rule][scorecard_id] | string  | Filter scores by scorecard ID(s), comma-separated.                                                                                                         |
| filter[rule][is_custom]    | boolean | Filter scores to show only custom rules.                                                                                                                   |
| filter[rule][is_enabled]   | boolean | Filter scores to show only enabled rules.                                                                                                                  |
| sort                       | string  | Sort scores by field. Use a hyphen prefix for descending order. Options: score, numerator, denominator, total_pass, total_fail, total_skip, total_no_data. |
| page[offset]               | integer | Offset for pagination.                                                                                                                                     |
| page[limit]                | integer | Number of scores to return. Max is 1000.                                                                                                                   |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
A list of scorecard scores for a given aggregation type.

| Parent field  | Field                  | Type     | Description                                                                                         |
| ------------- | ---------------------- | -------- | --------------------------------------------------------------------------------------------------- |
|               | data                   | [object] | Array of score objects.                                                                             |
| data          | attributes             | object   | Attributes of a scorecard score.                                                                    |
| attributes    | aggregation            | enum     | Dimension to group scores by. Allowed enum values: `by-entity,by-rule,by-scorecard,by-team,by-kind` |
| attributes    | denominator            | int64    | The denominator used to compute the score ratio.                                                    |
| attributes    | level                  | int64    | The maturity level of the associated rule.                                                          |
| attributes    | numerator              | int64    | The numerator used to compute the score ratio.                                                      |
| attributes    | score                  | double   | The computed score ratio (numerator/denominator), from 0 to 1.                                      |
| attributes    | total_entities         | int64    | The total number of entities evaluated.                                                             |
| attributes    | total_fail             | int64    | The number of rules that failed.                                                                    |
| attributes    | total_no_data          | int64    | The number of rules with no data.                                                                   |
| attributes    | total_pass             | int64    | The number of rules that passed.                                                                    |
| attributes    | total_skip             | int64    | The number of rules that were skipped.                                                              |
| data          | id [*required*]   | string   | The ID of the entity or resource being scored.                                                      |
| data          | relationships          | object   | Relationships for a scorecard score, depending on the aggregation type.                             |
| relationships | entity                 | object   | A relationship item for a score.                                                                    |
| entity        | data                   | object   | A relationship data object for a score.                                                             |
| data          | id [*required*]   | string   | The ID of the related resource.                                                                     |
| data          | type [*required*] | string   | The type of the related resource.                                                                   |
| relationships | rule                   | object   | A relationship item for a score.                                                                    |
| rule          | data                   | object   | A relationship data object for a score.                                                             |
| data          | id [*required*]   | string   | The ID of the related resource.                                                                     |
| data          | type [*required*] | string   | The type of the related resource.                                                                   |
| relationships | scorecard              | object   | A relationship item for a score.                                                                    |
| scorecard     | data                   | object   | A relationship data object for a score.                                                             |
| data          | id [*required*]   | string   | The ID of the related resource.                                                                     |
| data          | type [*required*] | string   | The type of the related resource.                                                                   |
| relationships | service                | object   | A relationship item for a score.                                                                    |
| service       | data                   | object   | A relationship data object for a score.                                                             |
| data          | id [*required*]   | string   | The ID of the related resource.                                                                     |
| data          | type [*required*] | string   | The type of the related resource.                                                                   |
| relationships | team                   | object   | A relationship item for a score.                                                                    |
| team          | data                   | object   | A relationship data object for a score.                                                             |
| data          | id [*required*]   | string   | The ID of the related resource.                                                                     |
| data          | type [*required*] | string   | The type of the related resource.                                                                   |
| data          | type [*required*] | enum     | The JSON:API resource type. Allowed enum values: `score`                                            |
|               | links                  | object   | Links attributes.                                                                                   |
| links         | next                   | string   | Link for the next set of rules.                                                                     |
|               | meta                   | object   | Pagination metadata for scores.                                                                     |
| meta          | count                  | int64    | The number of results returned in this page.                                                        |
| meta          | limit                  | int64    | The page limit.                                                                                     |
| meta          | offset                 | int64    | The page offset.                                                                                    |
| meta          | total                  | int64    | The total number of results.                                                                        |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "aggregation": "by-entity",
        "denominator": "integer",
        "level": "integer",
        "numerator": "integer",
        "score": "number",
        "total_entities": "integer",
        "total_fail": "integer",
        "total_no_data": "integer",
        "total_pass": "integer",
        "total_skip": "integer"
      },
      "id": "",
      "relationships": {
        "entity": {
          "data": {
            "id": "",
            "type": ""
          }
        },
        "rule": {
          "data": {
            "id": "",
            "type": ""
          }
        },
        "scorecard": {
          "data": {
            "id": "",
            "type": ""
          }
        },
        "service": {
          "data": {
            "id": "",
            "type": ""
          }
        },
        "team": {
          "data": {
            "id": "",
            "type": ""
          }
        }
      },
      "type": "score"
    }
  ],
  "links": {
    "next": "/api/v2/scorecard/rules?page%5Blimit%5D=2\u0026page%5Boffset%5D=2\u0026page%5Bsize%5D=2"
  },
  "meta": {
    "count": "integer",
    "limit": "integer",
    "offset": "integer",
    "total": "integer"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export aggregation="by-entity" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/scorecard/scores/${aggregation}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
